# Generated by Django 3.2.4 on 2021-06-09 08:40

import uuid

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("accounts", "0003_alter_account_amount"),
    ]

    operations = [
        migrations.CreateModel(
            name="Transaction",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("uid", models.UUIDField(default=uuid.UUID("1d4cd9a2-09a9-40ca-873e-bfa2c7908b9b"), unique=True)),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("amount", models.DecimalField(decimal_places=2, max_digits=100)),
                ("comment", models.CharField(blank=True, max_length=256, null=True)),
                (
                    "receiver",
                    models.ForeignKey(
                        null=True, on_delete=django.db.models.deletion.SET_NULL, related_name="receiver", to="accounts.account"
                    ),
                ),
                (
                    "sender",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="sender",
                        to="accounts.account",
                    ),
                ),
            ],
        ),
    ]
